<!DOCTYPE html>
<html class="no-js" lang="en">
<head>
  <meta charset="utf-8"/>
  <title>Zen 7.x-6.x Style Guide</title>

  <meta name="description" content=""/>
  <meta name="generator" content="kss-node"/>
  <meta name="viewport" content="width=device-width"/>

  <link rel="stylesheet" href="kss-assets/kss.css"/>
  <link rel="stylesheet" href="../css/styles.css"/>
<link rel="stylesheet" href="../css/style-guide/chroma-kss-styles.css"/>
<link rel="stylesheet" href="../css/style-guide/kss-only.css"/>

</head>
<body id="kss-node" class="kss-fullscreen-mode">

<div class="kss-sidebar kss-style">
  <header class="kss-header">
    <h1 class="kss-doc-title">Zen 7.x-6.x Style Guide</h1>
  </header>
  <nav class="kss-nav" aria-label="Style Guide">
    <ul class="kss-nav__menu">
      <li class="kss-nav__menu-item">
        <a class="kss-nav__menu-link" href="./">
          <span class="kss-nav__ref">0</span
          ><span class="kss-nav__name">Overview</span>
        </a>
      </li>
          <li class="kss-nav__menu-item">
        <a class="kss-nav__menu-link" href="section-sass.html">
          <span class="kss-nav__ref">1</span><span class="kss-nav__name">Colors and Sass</span>
        </a>
              </li>
          <li class="kss-nav__menu-item">
        <a class="kss-nav__menu-link" href="section-base.html">
          <span class="kss-nav__ref">2</span><span class="kss-nav__name">Defaults</span>
        </a>
              </li>
          <li class="kss-nav__menu-item">
        <a class="kss-nav__menu-link" href="section-layouts.html">
          <span class="kss-nav__ref">3</span><span class="kss-nav__name">Layouts</span>
        </a>
              </li>
          <li class="kss-nav__menu-item">
        <a class="kss-nav__menu-link" href="section-components.html">
          <span class="kss-nav__ref">4</span><span class="kss-nav__name">Components</span>
        </a>
              </li>
          <li class="kss-nav__menu-item">
        <a class="kss-nav__menu-link" href="section-navigation.html">
          <span class="kss-nav__ref">5</span><span class="kss-nav__name">Navigation</span>
        </a>
              </li>
          <li class="kss-nav__menu-item">
        <a class="kss-nav__menu-link" href="section-forms.html">
          <span class="kss-nav__ref">6</span><span class="kss-nav__name">Forms</span>
        </a>
              </li>
        </ul>
  </nav>
</div>
<main class="kss-main" aria-label="content">
<article>

  
          <div id="kssref-sass-mixins-clearfix" class="kss-section kss-section--depth-3 is-fullscreen">
      <div class="kss-style">
                <h3 class="kss-title kss-title--level-3">
          <a class="kss-title__permalink" href="#kssref-sass-mixins-clearfix">
            <span class="kss-title__ref">
              1.6.1
              <span class="kss-title__permalink-hash">
                sass.mixins.clearfix
              </span>
            </span>
            clearfix()
          </a>
        </h3>

        
                  <div class="kss-description">
            <p>Allows the bottom of an element to extend to the bottom of all floated
children elements. @see http://nicolasgallagher.com/micro-clearfix-hack/</p>
<p>We use the micro-clearfix, optimized for use in <code>@extend</code> where fewer <code>&amp;</code> is
better.</p>

          </div>
        
        
              </div>

      
              <div class="kss-source kss-style">
          Source: <code>sass/init/clearfix/_clearfix.scss</code>, line 1
        </div>
          </div>
  </article>
</main>

<!-- SCRIPTS -->
<script src="kss-assets/kss.js"></script>
<script src="kss-assets/scrollspy.js"></script>
<script src="kss-assets/kss-fullscreen.js"></script>
<script src="kss-assets/kss-guides.js"></script>
<script src="kss-assets/kss-markup.js"></script>
<script>
  var spy = new ScrollSpy('#kss-node', {
    nav: '.kss-nav__menu-child > li > a',
    className: 'is-in-viewport'
  });
  var kssFullScreen = new KssFullScreen({
    idPrefix: 'kss-fullscreen-',
    bodyClass: 'kss-fullscreen-mode',
    elementClass: 'is-fullscreen'
  });
  var kssGuides = new KssGuides({
    bodyClass: 'kss-guides-mode'
  });
  var kssMarkup = new KssMarkup({
    bodyClass: 'kss-markup-mode',
    detailsClass: 'kss-markup'
  });
</script>




<!-- Automatically built using <a href="https://github.com/kss-node/kss-node">kss-node</a>. -->
</body>
</html>
